=== debian/changelog ===
libosl (0.8.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113179)

 -- Adrian Bunk <bunk@debian.org>  Mon, 27 Oct 2025 17:08:08 +0200

libosl (0.8.0-4) unstable; urgency=medium

  * Add graphviz to build-depends for proper doxygen generation.
  * Re-export all patches with a single git-format-patch.
  * Fix build with gcc-11 (Closes: #984201)

 -- Yann Dirson <dirson@debian.org>  Wed, 17 Nov 2021 21:48:42 +0100

libosl (0.8.0-3) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Use secure URI in Homepage field.

 -- Yann Dirson <dirson@debian.org>  Thu, 20 Aug 2020 01:18:30 +0200

libosl (0.8.0-2) unstable; urgency=medium

  * New maintainer, raise package from the grave (Closes: #964732).
  * Add 0001-Import-svn-r4566.patch to sync with upstream svn.
  * Fix build with boost 1.67+ (Closes: #915761).
  * Set DH_VERBOSE=1.
  * Switch to debhelper compat v12,
    * remove non-matching install patterns
    * update doc-base to point to doc in doc/libosl-dev/
    * remove now-unnecessary dh '--parallel' option
  * Update Vcs-* for new salsa repo.
  * Explicitly link with relevant boost libraries.
  * Bump Standards-Version to 4.5.0.
  * Fix 'unkown' typo (lintian).

 -- Yann Dirson <dirson@debian.org>  Sat, 11 Jul 2020 00:26:45 +0200

libosl (0.8.0-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * makefile.conf: Append to CXXFLAGS instead of overwriting them.
  * detect-sse.patch: New, disable SSE unless the compiler advertised it.
  * Don't set DEB_CXXFLAGS_MAINT_APPEND any longer.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 30 Apr 2017 00:21:38 +0200

libosl (0.8.0-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Ship again makefile.conf, fixing FTBFS in gpsshogi.  (Closes: #861033)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 26 Apr 2017 00:29:06 +0200

libosl (0.8.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use DEB_CXXFLAGS_MAINT_APPEND to add -DOSL_NO_SSE on i386.
    (Closes: #852016)
  * Stop messing around with makefile.conf and makefile.local, they are not
    used by the CMake buildsystem.
  * Drop superfluous B-D: quilt.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 22 Apr 2017 19:10:51 +0200

libosl (0.8.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Import again previously unincorporated NMUs 0.6.0-3.{3,4}.
  * Complete (again) the library package rename after GCC5 ABI break.
    Closes: #797613 (again)
  * Use HTTPS in the Vcs-* fields.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 31 Mar 2017 02:28:56 +0200

libosl (0.8.0-1) unstable; urgency=medium

  * New upstream release (OSL r4566).
  * Dynamically generate documents for libosl-doc.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 01 Jan 2017 23:13:21 +0900

libosl (0.7.0-3) unstable; urgency=medium

  * Use jquery.js provided by libjs-jquery in doc/html/*.html.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 01 Jan 2017 21:30:40 +0900

libosl (0.7.0-2) unstable; urgency=medium

  * Add a patch to customize OSL_HOME
    - 0004-Customize-OSL_HOME.patch

 -- Daigo Moriwaki <daigo@debian.org>  Mon, 05 Dec 2016 22:06:36 +0900

libosl (0.7.0-1) unstable; urgency=medium

  * New upstream release (OSL r4564).
  * Switch to dh build with cmake from cdbs.
  * No longer need to provide a custom *-dbg package.
  * Do not build with -march=native. (Closes: #840166)
  * Fix build with GCC 6. (Closes: #811692)
  * Remove patches that are no longer required:
    - debian/patches/20140206-makefile_march.patch
    - debian/patches/gcc5.patch
    - debian/patches/20140208-no_sse.patch
    - debian/patches/20130803-kingTable.cc.patch
    - debian/patches/20130721-TIME_UTC.patch
    - debian/patches/0003-Customize-makefile.conf.patch
  * Add new/patches.

 -- Daigo Moriwaki <daigo@debian.org>  Mon, 05 Dec 2016 22:06:36 +0900

libosl (0.6.0-3.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc-6, multiple issues. More remain.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 17 Aug 2016 14:05:11 +0100

libosl (0.6.0-3.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Steve Langasek ]
  * Rename library packages for g++5 ABI transition. (Closes: #797613)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 19 Oct 2015 23:43:57 +0200

libosl (0.6.0-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with GCC 5 (Linn Crosetto). Closes: #777964.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Jul 2015 13:24:57 +0200

libosl (0.6.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Changing B-D on boost to unversioned one. (Closes: #757540)

 -- Tobias Frost <tobi@debian.org>  Tue, 12 Aug 2014 17:06:15 +0000
