=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

#export DEB_BUILD_OPTIONS=noopt

CFLAGS   += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

CMAKE_EXTRA_FLAGS += -DCMAKE_SKIP_RPATH=ON \
		     -DBUILD_SHARED_LIBS=1 \
		     -DCMAKE_BUILD_TYPE:STRING=Release
%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- $(CMAKE_EXTRA_FLAGS)

override_dh_auto_build-indep:
	LANG=C $(MAKE) -C doc
	find doc -name \*.html | xargs sed -i -e 's!<script type="text/javascript" src="jquery.js">!<script type="text/javascript" src="/javascript/jquery/jquery.js">!g'
	-rm doc/doxygen.err
	-rm doc/html/jquery.js

override_dh_auto_clean:
	dh_auto_clean
	LANG=C make -C doc clean

get-orig-source:
	if [ ! -f osl.tar.gz ] ; then \
	  wget "http://gps.tanaka.ecc.u-tokyo.ac.jp/cgi-bin/viewvc.cgi/trunk/osl.tar.gz" ; \
	fi
	mkdir debian/$(SRCDIR_NAME)
	cd debian/$(SRCDIR_NAME) && tar xzvf ../../osl.tar.gz
	if test "`ls debian/$(SRCDIR_NAME) | wc -l`" -eq "1" ; then \
		subdir=`echo debian/$(SRCDIR_NAME)/*` && \
		mv $$subdir/* $$subdir/.??* debian/$(SRCDIR_NAME) && \
		rmdir $$subdir ; \
	fi
	rm -rf debian/$(SRCDIR_NAME)/public-domain
	tar czf ../$(SOURCE)_$(ORIG_VERSION).orig.tar.gz -C debian $(SRCDIR_NAME)
	rm -rf debian/$(SRCDIR_NAME)
